Bug 1741784 - Request to build joe for EPEL8
Summary: Request to build joe for EPEL8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: joe
Version: epel8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nikola Forró
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-16 06:22 UTC by Jan ONDREJ
Modified: 2019-09-29 05:44 UTC (History)
4 users (show)

Fixed In Version: joe-4.6-6.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-29 05:44:32 UTC
Type: Bug


Attachments (Terms of Use)

Description Jan ONDREJ 2019-08-16 06:22:16 UTC
Description of problem:
Please build joe editor for EPEL8. Thank you.

Comment 1 Gwyn Ciesla 2019-08-16 13:59:27 UTC
Requested branch, seems to be an issue. Followed up.

Comment 2 Jan ONDREJ 2019-09-23 17:07:11 UTC
Please, can you build it? Let me know, if you need any help.

Fedora package builds well, just please add "make" to BuildRequires.

Comment 3 Gwyn Ciesla 2019-09-23 18:01:29 UTC
Pingou, can you assist?

Comment 4 Pierre-YvesChibon 2019-09-23 18:58:29 UTC
@Gwyn, I am confused, what do you want me to do?

Comment 5 Gwyn Ciesla 2019-09-23 19:01:49 UTC
The epel8 branch doesn't exist in git, but I believe it does on the PDC.

Comment 6 Jan ONDREJ 2019-09-24 04:25:26 UTC
Have you requested a EPEL8 branch?

See this email on how to request it:
  https://lists.fedoraproject.org/archives/list/epel-announce@lists.fedoraproject.org/thread/KXMMLYSAXAVHDKFFBVEFYYZHPJBWXOQQ/

In short, you need to run: fedpkg request-branch epel8

If you wish, I can do this for you. Just make me a comaintainer of this package.

Comment 7 Pierre-YvesChibon 2019-09-24 07:51:28 UTC
(In reply to Gwyn Ciesla from comment #5)
> The epel8 branch doesn't exist in git, but I believe it does on the PDC.

You've run in this situation several times now and I've answered you a few times as well so you should know how to fix this :)

If it is in PDC but not in git, then just create it in git: git checkout -b <branch> && git push -u origin <branch>.
If the push fails, you may have to check if in the settings of the project on pagure the hook to prevent new branch from being created isn't activated. If it is, then you'll have to disable it, do the git push and then re-enable it if you wish to.

Comment 8 Gwyn Ciesla 2019-09-24 13:10:22 UTC
Thank you. I did know that at one time, and it worked. :)

Comment 9 Fedora Update System 2019-09-24 13:13:45 UTC
FEDORA-EPEL-2019-18171eb202 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-18171eb202

Comment 10 Fedora Update System 2019-09-25 03:45:58 UTC
joe-4.6-6.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-18171eb202

Comment 11 Fedora Update System 2019-09-29 05:44:32 UTC
joe-4.6-6.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.